<?php
//echo "node id = " . $_GET['node'];
chdir('../../');
include("./include/global.php");
include_once("./lib/utility.php");
include_once("./lib/api_data_source.php");
include_once("./lib/api_tree.php");
include_once("./lib/html_tree.php");
include_once("./lib/api_graph.php");
include_once("./lib/snmp.php");
include_once("./lib/ping.php");
include_once("./lib/data_query.php");
include_once("./lib/api_device.php");


if (!empty($_GET["node"])) 
{
    $host = db_fetch_row("select * from host where id=" . $_GET["node"]);
}        
//    $host = db_fetch_row("select * from host where id=2");

if ((($host["snmp_community"] == "") && ($host["snmp_username"] == "")) || ($host["snmp_version"] == 0)) 
{
    print "<span style='color: #ab3f1e; font-weight: bold;'>SNMP not in use</span>\n";
}
else
{
    $snmp_system = cacti_snmp_get($host["hostname"], $host["snmp_community"], ".1.3.6.1.2.1.1.1.0", $host["snmp_version"],
				  $host["snmp_username"], $host["snmp_password"],
                                  $host["snmp_auth_protocol"], $host["snmp_priv_passphrase"], $host["snmp_priv_protocol"],
                                  $host["snmp_context"], $host["snmp_port"], $host["snmp_timeout"], read_config_option("snmp_retries"),SNMP_WEBUI);
                                  
    /* modify for some system descriptions */
    /* 0000937: System output in hosts.php poor for Alcatel */
    if (substr_count($snmp_system, "00:")) 
    {
        $snmp_system = str_replace("00:", "", $snmp_system);
        $snmp_system = str_replace(":", " ", $snmp_system);
    }

    if ($snmp_system == "") 
    {
        print "<span style='color: #ff0000; font-weight: bold;'>SNMP error</span>\n";
    }
    else
    {
        $snmp_uptime   = cacti_snmp_get($host["hostname"], $host["snmp_community"], ".1.3.6.1.2.1.1.3.0", $host["snmp_version"],
        				$host["snmp_username"], $host["snmp_password"],
                                        $host["snmp_auth_protocol"], $host["snmp_priv_passphrase"], $host["snmp_priv_protocol"],
                                        $host["snmp_context"], $host["snmp_port"], $host["snmp_timeout"], read_config_option("snmp_retries"), SNMP_WEBUI);

        $snmp_hostname = cacti_snmp_get($host["hostname"], $host["snmp_community"], ".1.3.6.1.2.1.1.5.0", $host["snmp_version"],
                                                            $host["snmp_username"], $host["snmp_password"],
                                                            $host["snmp_auth_protocol"], $host["snmp_priv_passphrase"], $host["snmp_priv_protocol"],
                                                            $host["snmp_context"], $host["snmp_port"], $host["snmp_timeout"], read_config_option("snmp_retries"), SNMP_WEBUI);

        $snmp_location = cacti_snmp_get($host["hostname"], $host["snmp_community"], ".1.3.6.1.2.1.1.6.0", $host["snmp_version"],
                                                            $host["snmp_username"], $host["snmp_password"],
                                                            $host["snmp_auth_protocol"], $host["snmp_priv_passphrase"], $host["snmp_priv_protocol"],
                                                            $host["snmp_context"], $host["snmp_port"], $host["snmp_timeout"], read_config_option("snmp_retries"), SNMP_WEBUI);

        $snmp_contact  = cacti_snmp_get($host["hostname"], $host["snmp_community"], ".1.3.6.1.2.1.1.4.0", $host["snmp_version"],
                                                            $host["snmp_username"], $host["snmp_password"],
                                                            $host["snmp_auth_protocol"], $host["snmp_priv_passphrase"], $host["snmp_priv_protocol"],
                                                            $host["snmp_context"], $host["snmp_port"], $host["snmp_timeout"], read_config_option("snmp_retries"), SNMP_WEBUI);

	print "<table>";
        print "<tr bgcolor='E2E2E2'><td><strong>System_Name:</strong></td><td>" . $host["description"] . "</td></tr>\n";
        print "<tr><td><strong>System IP:</strong></td><td>" . $host["hostname"] . "</td></tr>\n";
        print "<tr bgcolor='E2E2E2'><td><strong>Availability:</strong></td><td>" . round($host["availability"],2) . "%</td></tr>\n";
        print "<tr><td valign='top'><strong>System:</strong></td><td>" . html_split_string($snmp_system) . "</td></tr>\n";
        $days      = intval($snmp_uptime / (60*60*24*100));
        $remainder = $snmp_uptime % (60*60*24*100);
        $hours     = intval($remainder / (60*60*100));
        $remainder = $remainder % (60*60*100);
        $minutes   = intval($remainder / (60*100));
        print "<tr bgcolor='E2E2E2'><td><strong>Uptime:</strong></td><td> $snmp_uptime";
        print "&nbsp;($days days, $hours hours, $minutes minutes)</td></tr>\n";
        print "<tr><td><strong>Hostname:</strong></td><td> $snmp_hostname</td></tr>\n";
        print "<tr bgcolor='E2E2E2'><td><strong>Location:</strong></td><td> $snmp_location</td></tr>\n";
        print "<tr><td><strong>Contact:</strong></td><td> $snmp_contact</td></tr>\n";
        print "</table>";
    }
}
?>										
